Crystal Space: iDocumentAttribute Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iDocumentAttribute Struct Reference
[Utilities]

An attribute for an iDocumentNode. More...

`#include <iutil/document.h>`

Inheritance diagram for iDocumentAttribute:

[legend]
List of all members.

## Public Member Functions
virtual const char * | GetName ()=0
| Get name of this attribute.
virtual const char * | GetValue ()=0
| Get value of this attribute.
virtual bool | GetValueAsBool ()=0
| Get value of this attribute as float.
virtual float | GetValueAsFloat ()=0
| Get value of this attribute as float.
virtual int | GetValueAsInt ()=0
| Get value of this attribute as integer.
virtual void | SetName (const char *name)=0
| Set name of this attribute.
virtual void | SetValue (const char *value)=0
| Set value of this attribute.
virtual void | SetValueAsFloat (float f)=0
| Set float value of this attribute.
virtual void | SetValueAsInt (int v)=0
| Set int value of this attribute.

## Detailed Description

An attribute for an iDocumentNode.

Main creators of instances implementing this interface:

- iDocumentNode::SetAttribute()
- iDocumentNode::SetAttributeAsInt()
- iDocumentNode::SetAttributeAsFloat()

Main ways to get pointers to this interface:

- iDocumentNode::GetAttribute()
- iDocumentAttributeIterator::Next()

Definition at line 99 of file document.h.

## Member Function Documentation

virtual const char* iDocumentAttribute::GetName | ( |  | ) | `[pure virtual]`

Get name of this attribute.

virtual const char* iDocumentAttribute::GetValue | ( |  | ) | `[pure virtual]`

Get value of this attribute.

virtual bool iDocumentAttribute::GetValueAsBool | ( |  | ) | `[pure virtual]`

Get value of this attribute as float.

Implemented in csDocumentAttributeCommon.

virtual float iDocumentAttribute::GetValueAsFloat | ( |  | ) | `[pure virtual]`

Get value of this attribute as float.

Implemented in csDocumentAttributeCommon.

virtual int iDocumentAttribute::GetValueAsInt | ( |  | ) | `[pure virtual]`

Get value of this attribute as integer.

Implemented in csDocumentAttributeCommon.

virtual void iDocumentAttribute::SetName | ( | const char * | name | ) | `[pure virtual]`

Set name of this attribute.

virtual void iDocumentAttribute::SetValue | ( | const char * | value | ) | `[pure virtual]`

Set value of this attribute.

virtual void iDocumentAttribute::SetValueAsFloat | ( | float | f | ) | `[pure virtual]`

Set float value of this attribute.

Implemented in csDocumentAttributeCommon.

virtual void iDocumentAttribute::SetValueAsInt | ( | int | v | ) | `[pure virtual]`

Set int value of this attribute.

Implemented in csDocumentAttributeCommon.

The documentation for this struct was generated from the following file:

- iutil/document.h